Open CASCADE Technology: StepVisual_TextLiteral Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepVisual_TextLiteral Class Reference

`#include <StepVisual_TextLiteral.hxx>`

Inheritance diagram for StepVisual_TextLiteral:
[legend]

## Public Member Functions
| StepVisual_TextLiteral ()
| Returns a TextLiteral. More...
virtual void | Init (const Handle< TCollection_HAsciiString > &aName)
virtual void | Init (const Handle< TCollection_HAsciiString > &aName, const Handle< TCollection_HAsciiString > &aLiteral, const StepGeom_Axis2Placement &aPlacement, const Handle< TCollection_HAsciiString > &aAlignment, const StepVisual_TextPath aPath, const StepVisual_FontSelect &aFont)
void | SetLiteral (const Handle< TCollection_HAsciiString > &aLiteral)
Handle< TCollection_HAsciiString > | Literal () const
void | SetPlacement (const StepGeom_Axis2Placement &aPlacement)
StepGeom_Axis2Placement | Placement () const
void | SetAlignment (const Handle< TCollection_HAsciiString > &aAlignment)
Handle< TCollection_HAsciiString > | Alignment () const
void | SetPath (const StepVisual_TextPath aPath)
StepVisual_TextPath | Path () const
void | SetFont (const StepVisual_FontSelect &aFont)
StepVisual_FontSelect | Font () const
Public Member Functions inherited from StepGeom_GeometricRepresentationItem
| StepGeom_GeometricRepresentationItem ()
| Returns a GeometricRepresentationItem. More...
Public Member Functions inherited from StepRepr_RepresentationItem
| StepRepr_RepresentationItem ()
| Returns a RepresentationItem. More...
void | SetName (const Handle< TCollection_HAsciiString > &aName)
Handle< TCollection_HAsciiString > | Name () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepVisual_TextLiteral::StepVisual_TextLiteral | ( |  | ) |

Returns a TextLiteral.

## Member Function Documentation

Handle< TCollection_HAsciiString > StepVisual_TextLiteral::Alignment | ( |  | ) | const

StepVisual_FontSelect StepVisual_TextLiteral::Font | ( |  | ) | const

virtual void StepVisual_TextLiteral::Init | ( | const Handle< TCollection_HAsciiString > & | aName | ) |
| virtual

Reimplemented from StepRepr_RepresentationItem.

virtual void StepVisual_TextLiteral::Init | ( | const Handle< TCollection_HAsciiString > & | aName,
|  | const Handle< TCollection_HAsciiString > & | aLiteral,
|  | const StepGeom_Axis2Placement & | aPlacement,
|  | const Handle< TCollection_HAsciiString > & | aAlignment,
|  | const StepVisual_TextPath | aPath,
|  | const StepVisual_FontSelect & | aFont
| ) |  |
| virtual

Handle< TCollection_HAsciiString > StepVisual_TextLiteral::Literal | ( |  | ) | const

StepVisual_TextPath StepVisual_TextLiteral::Path | ( |  | ) | const

StepGeom_Axis2Placement StepVisual_TextLiteral::Placement | ( |  | ) | const

void StepVisual_TextLiteral::SetAlignment | ( | const Handle< TCollection_HAsciiString > & | aAlignment | ) |

void StepVisual_TextLiteral::SetFont | ( | const StepVisual_FontSelect & | aFont | ) |

void StepVisual_TextLiteral::SetLiteral | ( | const Handle< TCollection_HAsciiString > & | aLiteral | ) |

void StepVisual_TextLiteral::SetPath | ( | const StepVisual_TextPath | aPath | ) |

void StepVisual_TextLiteral::SetPlacement | ( | const StepGeom_Axis2Placement & | aPlacement | ) |

The documentation for this class was generated from the following file:

- StepVisual_TextLiteral.hxx